commit:     b79bad9be39562f18f079405226bd6073b561050
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Mon Dec  5 12:33:03 2016 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Mon Dec  5 13:52:17 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b79bad9b

net-libs/libdmapsharing: Version bump

Package-Manager: portage-2.3.2

 net-libs/libdmapsharing/Manifest                   |  1 +
 .../libdmapsharing/libdmapsharing-2.9.37.ebuild    | 48 ++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/net-libs/libdmapsharing/Manifest b/net-libs/libdmapsharing/Manifest
index ef19254..adf8ecc 100644
--- a/net-libs/libdmapsharing/Manifest
+++ b/net-libs/libdmapsharing/Manifest
@@ -1,2 +1,3 @@
 DIST libdmapsharing-2.9.35.tar.gz 759676 SHA256 
619f72ad8c33e9c1e323afabe793008227099e488c71e8f9ecb404eeb32b49e7 SHA512 
5755fe4f8d69ea8d58261e0068dc8dce9828c8134f53103f3afbba6d99cfe1e9f4a72f8004b96e6ac8d2bab6fb3c2cb458d9c3b333af78ee5eeb0883b5f763e8
 WHIRLPOOL 
c1cded2d25de1f88f0ce944ef91946bcf423991e96bee1567a1d4ee46051e88771d09960ce23ea864ca73920e52fc64867ee0913f7a81e3ef3536e5d8b831bc4
 DIST libdmapsharing-2.9.36.tar.gz 759882 SHA256 
844769a42a7e6083ce6eb2aa72d25fb3588eb6dabb284820e9031231a0f0c46a SHA512 
cc93ac74fae115a29f634db44a367202b7e7f34d2e26b6c3e9a0774e53c963e614d5499757de1a02e20ad94e747feb71ae5fdd008fa335b79d82f8a06cb417d3
 WHIRLPOOL 
d91de0e8a827ec499a3f4a84477b8e960ad28f988ad46b68ac849dc8c3917717689d7e8d38309a6120463687fc7e3ce3d2d3f1845862614ed930b15d6db0a17c
+DIST libdmapsharing-2.9.37.tar.gz 760469 SHA256 
9b6847b4021596913c927cca51600727cd44582b4417a3b1ec6967d0ab42ec79 SHA512 
db64c7e9ca6d8e06fdbec44853d8667a5d698244bc0881beae6aee447d464882accd885685636b3cd84735fe16eaa3b7bf692f2ac217525a9b86f5a12c810e8f
 WHIRLPOOL 
b8055b26a08417eb88950d35ab3c8c1bdbd26e86c0908edd65a4190e59f34a572731afd14b3283ed04311245e2c4731cbeeb4b6afd7d74ae6a50958ce2fecdbe

diff --git a/net-libs/libdmapsharing/libdmapsharing-2.9.37.ebuild 
b/net-libs/libdmapsharing/libdmapsharing-2.9.37.ebuild
new file mode 100644
index 00000000..89c363b
--- /dev/null
+++ b/net-libs/libdmapsharing/libdmapsharing-2.9.37.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit gnome2
+
+DESCRIPTION="A library that implements the DMAP family of protocols"
+HOMEPAGE="http://www.flyn.org/projects/libdmapsharing";
+SRC_URI="http://www.flyn.org/projects/${PN}/${P}.tar.gz";
+
+LICENSE="LGPL-2.1"
+SLOT="3.0/2"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="+introspection test"
+
+# Vala/libgee/gtk+:2 is only used when maintainer-mode is enabled
+# Doesn't seem to be used for anything...
+RDEPEND="
+       >=dev-libs/glib-2.36:2
+       x11-libs/gdk-pixbuf:2
+       >=net-dns/avahi-0.6[dbus]
+       >=net-libs/libsoup-2.48.0:2.4
+       media-libs/gstreamer:1.0
+       media-libs/gst-plugins-base:1.0
+       sys-libs/zlib
+       introspection? ( >=dev-libs/gobject-introspection-1.30:= )
+"
+DEPEND="${RDEPEND}
+       dev-util/gtk-doc-am
+       virtual/pkgconfig
+       test? ( >=dev-libs/check-0.9.4 )
+"
+
+src_prepare() {
+       # Remove useless CFLAGS alteration in configure
+       sed -e 's/CFLAGS -O2/CFLAGS/' \
+               -i configure.ac configure || die
+       gnome2_src_prepare
+}
+
+src_configure() {
+       gnome2_src_configure \
+               --with-mdns=avahi \
+               $(use_enable introspection) \
+               $(use_enable test tests) \
+               $(use_enable test check)
+}

Reply via email to